Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenNavigatorPathSegment

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenNavigatorPathSegmentImpl

    public interface GenNavigatorPathSegment

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Navigator Path Segment'.

The following features are supported:

- `Path`
- `From`
- `To`

See Also:
  `GMFGenPackage.getGenNavigatorPathSegment()`
** Generated **
Model:

Method Summary
`GenCommonBase` `getFrom()` Returns the value of the 'From' reference
`GenNavigatorPath` `getPath()` Returns the value of the 'Path' container reference.
`GenCommonBase` `getTo()` Returns the value of the 'To' reference
`void` `setFrom(GenCommonBase value)` Sets the value of the '`From`' reference
`void` `setTo(GenCommonBase value)` Sets the value of the '`To`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPath

    GenNavigatorPath getPath()

  Returns the value of the 'Path' container reference. It is bidirectional and its opposite is '`Segments`'.

  If the meaning of the 'Path' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Path' container reference.
  See Also:
    `GMFGenPackage.getGenNavigatorPathSegment_Path()`, `GenNavigatorPath.getSegments()`
  ** Generated **
  Model:
    opposite="segments" transient="false" changeable="false"

### getFrom

    GenCommonBase getFrom()

  Returns the value of the 'From' reference.

  If the meaning of the 'From' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'From' reference.
  See Also:
    `setFrom(GenCommonBase)`, `GMFGenPackage.getGenNavigatorPathSegment_From()`
  ** Generated **
  Model:
    required="true"

### setFrom

    void setFrom(GenCommonBase value)

  Sets the value of the '`From`' reference.

  Parameters:
    `value` - the new value of the 'From' reference.
  See Also:
    `getFrom()`
  ** Generated **

### getTo

    GenCommonBase getTo()

  Returns the value of the 'To' reference.

  If the meaning of the 'To' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'To' reference.
  See Also:
    `setTo(GenCommonBase)`, `GMFGenPackage.getGenNavigatorPathSegment_To()`
  ** Generated **
  Model:
    required="true"

### setTo

    void setTo(GenCommonBase value)

  Sets the value of the '`To`' reference.

  Parameters:
    `value` - the new value of the 'To' reference.
  See Also:
    `getTo()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.